List operation for eUICC
List all operations of a specific IoT eUICC. This route returns HTTP 404 error for non-IoT eUICCs. Operations data is retained for 90 days.
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the POST request to /api/v1/authenticate.
Path parameters
euicc_id
Query parameters
page
Page number (1-based).
per_page
Items per page.
q
Filter parameter in <field>:<criteria> format.
Expects a comma-separated list from the allowed fields:
idactionstatusiccid_with_luhn
sort
Sort properties according to a comma separated list from the allowed fields (prefix with - for descending):
idactionstatusiccid_with_luhncreation_dateexpiry_datefinalization_date
Response
Operation list
id
action
status
creation_date
last_updated_at
user
expiry_date
finalization_date
error
iccid_with_luhn
Full ICCID including the Luhn check digit
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error